Subject: Re: Confirmation of consensus to adopt: draft-clw-rfc6434-bis-01

From: Tim Chown <[email-masked]>
Date: Tue, 2 May 2017 14:23:17 +0000

Hi,

> On 28 Apr 2017, at 17:19, Suresh Krishnan <[email-masked]> wrote:
> 
> Hi Tim, 
> 
> On Apr 28, 2017 6:04 AM, "Tim Chown" <[email-masked]> wrote:
> > On 28 Apr 2017, at 02:06, Brian E Carpenter <[email-masked]> wrote:
> >
> > Hi Michael,
> > On 28/04/2017 09:35, Michael Richardson wrote:
> > ...
> >> I think that, given the pushback we have on rfc2460bis, that I would like to
> >> make some progress on 6434bis before we attempt to finalize 2460bis.
> >
> > I disagree quite strongly. On the contrary, we should IMHO get 2460bis
> > frozen and in the RFC Editor queue ASAP. Otherwise, 6434bis will be built on
> > shifting sands and we'll never get out of the loop.
> 
> I agree with Brian.  And 6434bis will only reflect what’s in 2460bis; we need to get 2460bis frozen so we know what to put in 6434bis.
> 
> > (I really wish we had a better mechanism than a rarely revised RFC for formally
> > defining the latest IPv6 node requirements, but that's not really an option.
> > IMHO, Node Requirements should up for revision every time a relevant RFC is
> > published, not once in a while when somebody thinks of it.)
> 
> An interesting point. You could for example keep a VersionN-bis draft updated as soon as VersionN is published, and publish VersionN+1 as an RFC at some agreed interval. On our current track record, that interval is every 6 years. Such an approach would mean the most up-to-date guidance is not in the most recently published RFC, but in the “living” I-D.
> 
> That sounds reasonable to me. I was also thinking if a wiki could work but keeping it updated as a draft gives us more options. E.g. We could publish an RFC every x years with the current content if needed. 

Well, it’s a possibility. You/we just need a small editorial team to maintain it. And we could use GitHub to track proposed changes, etc, as that seems to be getting some traction (and we’re using it for this -bis document). I guess the question is whether the WG thinks such an approach is useful and worth the effort.

Tim